<?php

/*
 * This file is part of the Blackfire Player package.
 *
 * (c) Fabien Potencier <fabien@blackfire.io>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Blackfire\Player\Console;

final class JsonOutput
{
    public static function encode($data)
    {
        $json = json_encode($data, \JSON_PRETTY_PRINT | \JSON_UNESCAPED_SLASHES);

        if (\JSON_ERROR_NONE !== json_last_error()) {
            throw new \InvalidArgumentException('Unable to encode data into JSON: '.json_last_error_msg());
        }

        return $json;
    }

    public static function error($error, $data = [])
    {
        return self::encode(array_replace([
            'message' => $error instanceof \Exception ? $error->getMessage() : $error,
            'success' => false,
        ], $data));
    }
}
